Get actions/automations
GET/v1/actions
This route allows you to fetch one or more self-service actions and/or automations in your Port account.
The call will perform a logical AND between all query parameters below, and return all actions and automations that match the criteria.
To learn more about actions and automations, check out the documentation.
Request
Parameters (JSON)
{
"parameters": [
{
"schema": {
"type": "array",
"items": {
"type": "string"
}
},
"in": "query",
"name": "action_identifier",
"required": false,
"description": "The identifier/s of the action/s and/or automation/s you want to fetch.",
"style": "form",
"explode": true
},
{
"schema": {
"type": "array",
"items": {
"type": "string"
}
},
"in": "query",
"name": "blueprint_identifier",
"required": false,
"description": "The identifier/s of the blueprint/s whose actions/automations you wish to fetch.",
"style": "form",
"explode": true
},
{
"schema": {
"type": "array",
"items": {
"type": "string",
"enum": [
"DAY-2",
"DELETE",
"CREATE"
]
}
},
"in": "query",
"name": "operation",
"required": false,
"description": "The [operation type/s](https://docs.port.io/workflows/actions-and-automations/create-self-service-experiences/setup-ui-for-action/#basic-details) of the action/s you want to fetch. Relevant only for self-service actions.",
"style": "form",
"explode": true
},
{
"schema": {
"type": "boolean"
},
"in": "query",
"name": "published",
"required": false,
"description": "Only relevant for **automations**. If `true`, only published automations will be fetched."
},
{
"schema": {
"type": "string",
"enum": [
"self-service",
"automation"
]
},
"in": "query",
"name": "trigger_type",
"required": false
},
{
"schema": {
"type": "array",
"items": {
"type": "string",
"enum": [
"ENTITY_CREATED",
"ENTITY_UPDATED",
"ENTITY_DELETED",
"TIMER_PROPERTY_EXPIRED",
"ANY_ENTITY_CHANGE",
"RUN_CREATED",
"RUN_UPDATED",
"ANY_RUN_CHANGE"
]
}
},
"in": "query",
"name": "trigger_event",
"required": false,
"description": "The event/s that triggered the automation/s you want to fetch. Relevant only for automations.",
"style": "form",
"explode": true
},
{
"schema": {
"type": "array",
"items": {
"type": "string"
}
},
"in": "query",
"name": "trigger_event_action_identifier",
"required": false,
"style": "form",
"explode": true
},
{
"schema": {
"type": "string",
"enum": [
"v1",
"v2"
]
},
"in": "query",
"name": "version",
"required": false,
"description": "Specifies the API version to use. Please use `v2` for the latest version of the API."
}
]
}Request body schema (JSON)
{
"title": "Body"
}Responses
- 401
- 404
Default Response
A resource with the provided identifier was not found
Responses (JSON)
{
"responses": {
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "A resource with the provided identifier was not found",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "A resource with the provided identifier was not found"
}
}
}
}
}
}